Subject: bug#28773: closed ([PATCH] Specify native search path for all ruby packages)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 14 Jan 2018 22:26:02 +0000

Your bug report

#28773: [PATCH] Wrap bin files in the ruby build system.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28773: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28773
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: [PATCH] Specify native search path for all ruby packages
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Sun, 14 Jan 2018 22:25:26 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing, as I've now pushed this patch.

Subject: [PATCH] Wrap bin files in the ruby build system.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Tue, 10 Oct 2017 08:44:52 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This is a bit experimental. There is some description of the motivation
behind this approach, as well as the downsides in the commit messages.

I don't know how to wrap binaries with the GEM_PATH, but somehow
excluding inputs specified as native-inputs, so I'd be very interested
if anyone has ideas about this.

Christopher Baines (3):
  ruby-build-system: Add wrap-ruby-program.
  ruby-build-system: Add a new wrap phase.
  gnu: Remove redundant wrapping from packages using ruby-build-system.

 gnu/packages/databases.scm       |  13 +---
 gnu/packages/ruby.scm            |  18 +-----
 guix/build/ruby-build-system.scm | 131 ++++++++++++++++++++++++++++++++++++++-
 3 files changed, 133 insertions(+), 29 deletions(-)